
%define _name		white_dune
%define _version	0.26pl2
%define _release	2.dries

Summary: A graphical VRML97 editor and animation tool
Summary(nl): Een grafische VRML97 editor en animatie tool

BuildRoot:	%{_tmppath}/build-%{_name}-%{_version}
Name:		%{_name}
Version:	%{_version}
Release:	%{_release}
License:	GPL
Group:		Applications/Multimedia
Source: http://www.csv.ica.uni-stuttgart.de/vrml/dune/white_dune-0.26pl2.tar.gz
URL: http://www.csv.ica.uni-stuttgart.de/vrml/dune/

#(d) primscreenshot: http://www.csv.ica.uni-stuttgart.de/vrml/dune/_gfx/screen02.jpg
#(d) screenshotsurl: http://www.csv.ica.uni-stuttgart.de/vrml/dune/screen.html

%description
The white_dune program is a graphical VRML97 editor and animation tool.
VRML97 (Virtual Reality Modelling Language) is the ISO standard for
displaying 3D data over the web. It has support for animation, realtime
interaction and multimedia (image, movie, sound). VRML97 can be written
by popular programs like maya, catia, 3D Studio MAX, cinema4D and others. 
Dune can read VRML97 files, display and let the user change the 
scenegraph/fields. 
Some documentation how to use dune is included.

%description -l nl
Het programma white_dune is een grafische VRML97 editor en een animatie
tool. VRML97 (Virtual Reality Modelling Language) is de ISO standaard om 3D
data voor te stellen op het internet. Het heeft ondersteuning voor
animaties, realtime interactie en multimedia (beelden, films en geluid).
Populaire programma's zoals maya, catia, 3D Studio MAX en cinema4D kunnen
VML97 bestanden genereren. Dune kan VRML97 bestanden lezen, tonen en laat de
gebruiker toe om eigenschappen te wijzigen.
Documentatie over het gebruik van dune is ook beschikbaar.

%prep
%setup -q

%build
./configure --with-optimization \
  --with-buginlesstif \
  --without-devil \
  --with-vrmlbrowser=mozilla \
  --with-helpurl="/usr/share/doc/white_dune-0.26pl2/docs/" \
  --with-nurbscurveprotourl="/usr/share/misc/white_dune/NurbsCurvePROTO.wrl" \
  --with-nurbsgroupprotourl="/usr/share/misc/white_dune/NurbsGroupPROTO.wrl" \
  --with-nurbssurfaceprotourl="/usr/share/misc/white_dune/NurbsSurfacePROTO.wrl"
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 
strip bin/dune
strip bin/dune4kids
cat > dune.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Encoding=UTF-8
Name=White Dune
Exec=/usr/bin/dune
Categories=Application;Graphics
EOF
cat > dune4kids.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Encoding=UTF-8
Name=White Dune 4 kids
Exec=/usr/bin/dune4kids
Categories=Application;Graphics
EOF


%install
echo RPM_BUILD_ROOT is $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/misc/white_dune
install -s -m 755 bin/dune $RPM_BUILD_ROOT/usr/bin/dune
install -s -m 755 bin/dune4kids $RPM_BUILD_ROOT/usr/bin/dune4kids
install -m 644 man/dune.1 $RPM_BUILD_ROOT/usr/share/man/man1/dune.1
install -m 644 docs/vrml200x_nurbssurface/NurbsCurvePROTO.wrl $RPM_BUILD_ROOT/usr/share/misc/white_dune/NurbsCurvePROTO.wrl
install -m 644 docs/vrml200x_nurbssurface/NurbsGroupPROTO.wrl $RPM_BUILD_ROOT/usr/share/misc/white_dune/NurbsGroupPROTO.wrl
install -m 644 docs/vrml200x_nurbssurface/NurbsSurfacePROTO.wrl $RPM_BUILD_ROOT/usr/share/misc/white_dune/NurbsSurfacePROTO.wrl
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp dune.desktop dune4kids.desktop $RPM_BUILD_ROOT/usr/share/applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING docs
/usr/bin/dune
/usr/bin/dune4kids
/usr/share/man/man1/dune.1*
/usr/share/misc/white_dune/NurbsCurvePROTO.wrl
/usr/share/misc/white_dune/NurbsGroupPROTO.wrl
/usr/share/misc/white_dune/NurbsSurfacePROTO.wrl
/usr/share/applications/dune.desktop
/usr/share/applications/dune4kids.desktop

%changelog
* Fri Jan 2 2004 Dries Verachtert <dries@ulyssis.org> 0.26pl2-2.dries
- added a desktop file

* Sat Dec 20 2003 Dries Verachtert <dries@ulyssis.org> 0.26pl2-1.dries
- first packaging for Fedora Core 1, based on source rpm found on download site of white_dune
